Widgets look square

Bug #1024099 reported by Alex Elzenaar on 2012-07-12
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
light-themes
Fix Released
Undecided
Andrea Cimitan
light-themes (Ubuntu)
Undecided
Unassigned

Bug Description

What is expected: Widgets hould be rounded like in Ubuntu 12.04
What is seen: Widget corners are square.

Reproduction:
1. Open any application that uses GTK
2. Observe square widgets

Note: I found a bug report (bug 1000545) that says that the bug has been fixed, however I am using the same or greater versions of the packages mentioned and I can still see the bug (screenshot below)

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: xorg 1:7.6+12ubuntu1
ProcVersionSignature: Ubuntu 3.5.0-2.2-generic 3.5.0-rc4
Uname: Linux 3.5.0-2-generic i686
.tmp.unity.support.test.0:

ApportVersion: 2.2.5-0ubuntu1
Architecture: i386
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Fri Jul 13 09:06:20 2012
DistUpgraded: 2012-07-12 12:49:16,228 DEBUG enabling apt cron job
DistroCodename: quantal
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
GraphicsCard:
 Intel Corporation N10 Family Integrated Graphics Controller [8086:a011] (prog-if 00 [VGA controller])
   Subsystem: Samsung Electronics Co Ltd Device [144d:c08f]
   Subsystem: Samsung Electronics Co Ltd Device [144d:c08f]
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
MachineType: SAMSUNG ELECTRONICS CO., LTD. N250P/N145P
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-2-generic root=UUID=02a59a4e-e52e-4c2f-bcb0-a31c55f74093 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: Upgraded to quantal on 2012-07-12 (0 days ago)
dmi.bios.date: 07/18/2011
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: 02HG.M014.20110718.JIP
dmi.board.asset.tag: SAMSUNG
dmi.board.name: N250P/N145P
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr02HG.M014.20110718.JIP:bd07/18/2011:svnSAMSUNGELECTRONICSCO.,LTD.:pnN250P/N145P:pvrNotApplicable:rvnSAMSUNGELECTRONICSCO.,LTD.:rnN250P/N145P:rvrNotApplicable:cvnSAMSUNGELECTRONICSCO.,LTD.:ct10:cvrN/A:
dmi.product.name: N250P/N145P
dmi.product.version: Not Applicable
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
version.compiz: compiz 1:0.9.8+bzr3249-0ubuntu1
version.libdrm2: libdrm2 2.4.33-3
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.12.1.902-1ubuntu1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~really6.14.4-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.19.0-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.1-1build1

Alex Elzenaar (albeetle) wrote :
description: updated
Bryce Harrington (bryce) on 2012-07-14
affects: xorg (Ubuntu) → light-themes (Ubuntu)
Andrea Cimitan (cimi) on 2012-07-16
Changed in light-themes (Ubuntu):
status: New → In Progress
Changed in light-themes (Ubuntu):
assignee: nobody → Andrea Cimitan (cimi)
Adolfo Jayme (fitojb) on 2012-07-18
affects: light-themes (Ubuntu) → light-themes
Changed in light-themes (Ubuntu):
status: New → Confirmed
James Ye (lolz836) wrote :

This is a bug in development versions of the Unico engine. I remember this happening in the Precise's development.
I have observed that themes that do not use Unico do not suffer from this bug.

Adolfo Jayme (fitojb) on 2012-08-10
Changed in light-themes:
status: In Progress → Fix Released
Changed in light-themes (Ubuntu):
status: Confirmed → Fix Released
Doug McMahon (mc3man) wrote :

I'd say atm semi-fixed, the progress bars, which was the example of this thread, are still squared.

Adolfo Jayme (fitojb) wrote :

@mc3man: Progress bars *are* rounded, certainly less than before, but they are. Maybe you're not using the correct unico version?

On 08/12/2012 01:32 PM, Adolfo Jayme Barrientos wrote:
> @mc3man: Progress bars *are* rounded, certainly less than before, but
> they are. Maybe you're not using the correct unico version?
>
> ** Attachment added: "Captura de pantalla de 2012-08-10 22:09:58.png"
> https://bugs.launchpad.net/light-themes/+bug/1024099/+attachment/3258417/+files/Captura%20de%20pantalla%20de%202012-08-10%2022%3A09%3A58.png
>
Yes - you are correct - was hard to see here on small screen, but they
are slightly rounded.
Sorry ...

Alex Elzenaar (albeetle) wrote :

The progress bars on the unity launcher icons are not rounded (eg. when
Update Manager shows a progress bar in the launcher).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers